Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.classgen
Class VariableScopeVisitor

goes through an AST and initializes the scopes

author:
  Jochen Theodorou

Field Summary
`ClassNode` | `currentClass`
`VariableScope` | `currentScope`
`VariableScope` | `headScope`
`boolean` | `inClosure`
`boolean` | `inPropertyExpression`
`boolean` | `isSpecialConstructorCall`
`SourceUnit` | `source`
`LinkedList` | `stateStack`

Constructor Summary
`VariableScopeVisitor()`

Method Summary

Constructor Detail

### VariableScopeVisitor

    VariableScopeVisitor()

Method Detail